close all;
clear all;
% Plotting the four Meyenburg functions
h=0.001;
x=0:h:2*pi;
m1=(3*x.*x-6*pi*x+2*pi^2)/12;
subplot(2,2,1)
plot([x-2*pi x], [m1 m1])
axis([-2*pi 2*pi -1 2])
m2=exp(cos(x)).*cos(sin(x));
subplot(2,2,2)
plot([x-2*pi x], [m2 m2])
axis([-2*pi 2*pi 0 3])
m3=(1-0.5*cos(x))./(5/4+cos(x));
subplot(2,2,3)
plot([x-2*pi x], [m3 m3])
axis([-2*pi 2*pi 0 7])
xa=0:h:2*pi-4;
xb=2*pi-4:h:4;
xc=4:h:2*pi;
fa=4-xa;
fb=(8-2*pi)*ones(size(xb));
fc=4-2*pi+xc;
subplot(2,2,4)
plot([xa-2*pi xb-2*pi xc-2*pi  xa xb xc],[fa fb fc fa fb fc])
axis([-2*pi 2*pi 1 4.5])